Email::Send::NNTP(3)

NAME
Email::Send::NNTP - Post Messages to a News Server

SYNOPSIS
  use Email::Send;

  my $mailer = Email::Send->new({mailer => 'NNTP'});

  $mailer->mailer_args([Host => 'nntp.example.com']);

  $mailer->send($message);

DESCRIPTION
This is a mailer for "Email::Send" that will post a message to a news server. The message must be formatted properly for posting. Namely, it must contain a Newsgroups: header. At least the first invocation of "send" requires a news server arguments. After the first declaration the news server will be remembered until such time as you pass another one in.

SEE ALSO
Email::Send, Net::NNTP, perl.

AUTHOR
Current maintainer: Ricardo SIGNES, <rjbs@cpan.org>.

Original author: Casey West, <casey@geeknest.com>.

COPYRIGHT
  Copyright (c) 2004 Casey West.  All rights reserved.
  This module is free software; you can redistribute it and/or modify it
  under the same terms as Perl itself.